import type { DialogOpenResult } from "../../types/dialogManager.js";
declare function open(component: any, inputProps?: Record<string, any>): DialogOpenResult;
declare function close(id: number, val: any): void;
declare const __VLS_export: import("vue").DefineComponent<{}, {
    open: typeof open;
    close: typeof close;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
